Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 624281 - reporting via abrt fails since BZ upgrade to 3.6
reporting via abrt fails since BZ upgrade to 3.6
Status: CLOSED NEXTRELEASE
Product: Bugzilla
Classification: Community
Component: Creating/Changing Bugs (Show other bugs)
3.6
All Linux
low Severity medium (vote)
: ---
: ---
Assigned To: David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-15 11:47 EDT by Patrick C. F. Ernzer
Modified: 2013-06-23 23:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-17 12:17:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
v1 for adding mapping to statuswhiteboard field (500 bytes, patch)
2010-08-17 07:43 EDT, Noura El hawary
dkl: review+
Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 588368 None None None Never

  None (edit)
Description Patrick C. F. Ernzer 2010-08-15 11:47:26 EDT
Description of problem:
tried submitting a bug via abrt (GUI and CLI) today but it fails as per the below.

Version-Release number of selected component (if applicable):
bugzilla 3.6
abrt-1.1.1-2.fc13.x86_64

How reproducible:
could reproduce twice in a row, once via GUI, once via CLI

Steps to Reproduce:
1. something crashes, abrt shows icon
2. abrt-cli --get-list
3. abrt-cli --report <some ID>
  
Actual results:
Report using Bugzilla? [y/N]: y
Wrong settings were detected for plugin Bugzilla.
Enter your login: pcfe@redhat.com
Enter your password: 
>> Logging into bugzilla...
>> Checking for duplicates...
>! XML-RPC Fault(32000): RPC failed at server.  There is a problem with your search: statuswhiteboard is not a valid field name. The legal field names are listed here.
>> Reporting via 'Bugzilla' was not successful: XML-RPC Fault(32000): RPC failed at server.  There is a problem with your search: statuswhiteboard is not a valid field name. The legal field names are listed here.
Bugzilla: XML-RPC Fault(32000): RPC failed at server.  There is a problem with your search: statuswhiteboard is not a valid field name. The legal field names are listed here.


Expected results:
bug submitted to bugzilla via abrt

Additional info:
Up until Friday I was able to report bugs through abrt on this machine to bugzilla just fine.
Bug 623983 is the last bug I successfully reported to bugzilla through abrt (2010-08-13 06:54 EDT)
Comment 1 David Lawrence 2010-08-16 00:02:26 EDT
I was hoping that the beta's would flesh out these type of issues. Can someone provide the exact XMLRPC call that is being used that is causing the error and the params that are being passed? It is possible that a field name has changed fomr version 3.4 to 3.6 and we will need to put in a workaround.

Dave
Comment 2 Patrick C. F. Ernzer 2010-08-16 07:58:42 EDT
I think the owner of abrt might be a better target for needinfo.

I'm not sure how to extract the xmlrpc call abrt does. As it's SSL traffic to bugzilla, tcpdumping will not help me.
Comment 3 Noura El hawary 2010-08-17 07:43:59 EDT
Created attachment 439091 [details]
v1 for adding mapping to statuswhiteboard field

Hi,

looking at the error message posted in the previous comments seems that user is performing a search using the parameter statuswhiteboard, in 3.4 we had mapping of statuswhiteboard => status_whiteboard which is missing in 3.6, attached is a patch for that missing mapping. 

This patch is based on the assumption that the error is coming from the xmlrpc search function.

Cheers,
Noura
Comment 4 Kevin Baker 2010-08-17 10:02:13 EDT
Is this mapping maintained by us or by the upstream. If so, please get it patched upstream. One less thing to bite us on the next upgrade.
Comment 5 David Lawrence 2010-08-17 11:17:32 EDT
Comment on attachment 439091 [details]
v1 for adding mapping to statuswhiteboard field

Thanks Noura. I will go ahead and check this in so if I push another update today it will go in.

Dave
Comment 6 David Lawrence 2010-08-17 12:17:02 EDT
Checked in and will be in the next code update.
Comment 7 Noura El hawary 2010-08-18 08:07:05 EDT
(In reply to comment #4)
> Is this mapping maintained by us or by the upstream. If so, please get it
> patched upstream. One less thing to bite us on the next upgrade.

Hi Kevin, yes the mapping is maintained by upstream I submitted the patch upstream.

Cheers,
Noura

Note You need to log in before you can comment on or make changes to this bug.